{% extends "wizard/base.html" %}
{% block title %}Step 1: Create an app{% endblock %}
{% block step_content %}
  <div class="row">
    <div class="col-12">
      <h1 class="mt-5">Step 1: Basics</h1>
      <p class="lead">Fill out some basic information about your app</p>
      <form method="post">
        {% csrf_token %}

            <!-- Identifier -->
        <div class="mb-3">
          <div class="d-flex flex-row gap-5">
            <label class="form-label fw-semibold">Identifier (Required)</label>
            <div class="form-label"><strong>App URL: </strong><span id="app-domain-id">{% if wizard.app %}{{ wizard.app.identifier }}{% endif %}</span>.{{ general_config.domain }}</div>
          </div>
          <div class="text-danger mb-1 d-none">Identifier already exists</div>
          <input name="identifier" type="text" class="form-control app-identifier-input" data-existing-identifiers="{{existing_identifiers}}" {% if wizard.app.identifier %}value="{{wizard.app.identifier}}" disabled {% endif %} placeholder="e.g. myapp" minlength='3' maxlength='16' pattern='[a-z][a-z0-9]*' required>
          <p class="form-text">Must be short (3-16 characters) and unique. This cannot be changed later and it will show up in the app's URL. <br>For example, if your identifier is <strong>myapp</strong>, your app's URL will be <strong>myapp.{{ strap_domain }}</strong></p>
        </div>

            <!-- Descriptive name -->
        <div class="mb-3">
          <label class="form-label fw-semibold">Descriptive name (Required)</label>
          <input name="descriptive_name" type="text" class="form-control descriptive-name" {% if wizard.app.descriptive_name %}value="{{wizard.app.descriptive_name}}"{% endif %} placeholder='e.g. My Application' required>
          <div class="form-text">A longer and human-readable name for your app that can be updated. This is used for presentation in Strapper and for the listing on the STRAP page (if you choose to do so).</div>
        </div>

            <!-- Description -->
        <div class="mb-3">
          <label class="form-label fw-semibold">Description</label>
          <textarea name="description" class="form-control" placeholder='e.g. My Application serves my research data products to a managed list of users' rows="3" {% if wizard.app.published_on_strap %}required{% endif %}>{% if wizard.app.description %}{{wizard.app.description}}{% endif %}</textarea>
          <div class="form-text">Used on the public listing on the STRAP page (if you choose to do so)</div>
        </div>

            <!-- Display on STRAP page -->
        <div class="form-check">
          <input
            class="form-check-input"
            type="checkbox"
            name="published_on_strap"
            id="flexCheckDefault"
            {% if wizard.app.published_on_strap %}checked{% endif %}>
          <label class="form-check-label" for="flexCheckDefault">
            Okay to publish name and description on STRAP page
          </label>
        </div>

            <!-- Navigation buttons -->
        {% with is_form=True %}
          {% include 'wizard/navigation_btns.html' %}
        {% endwith %}
      </form>
    </div>
  </div>
{% endblock %}